[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedRasterImage.FreeHandle

Frees the handle for the shared image.

## Declaration

Source position: graphics.pp line 1224

`protected procedure TSharedRasterImage.FreeHandle; override;`

## Description

Implements the abstract virtual method defined in the TSharedImage ancestor.

FreeHandle calls the DeleteObject routine to remove the handle from the widgetset class. FreeHandle sets the value for the internal handle to 0 (zero) to indicate that it is not assigned or no longer valid.

No actions are performed in the method when the handle is already set to 0.

## See also

TSharedImage.FreeHandle |  | Release the handle for this image and free its resources.